Task Todo List OpenSSL 1.0 retirement

2022-01-08 - Pierre Schmitz

OpenSSL 1.0 is not supported by the upstream project and does not receive any security fixes (at least not without a support contract). For obvious reasons is not advisable to use a security related library that has reach end if life.

We should remove support for version 1.0 and any packages that depend on it. If possible these packages can be compiled against openssl-1.1 instead.

Link to lists of pkgbase values:

Filter Todo List Packages

Select filter criteria
5 packages displayed out of 5 total packages.
Arch Repository Name Current Version Staging Version Maintainers Status Last Touched By
x86_64 Multilib lib32-openssl-1.0 1.0.2.u-1 alucryd Incomplete
x86_64 Community nrpe 4.0.3-1 jsteel Incomplete
x86_64 Core openssl-1.0 1.0.2.u-1 pierre Incomplete
x86_64 Multilib steam-native-runtime 1.0.0.70-2 alucryd, anthraxx Incomplete
x86_64 Community wvstreams 4.6.1-17 felixonmars Incomplete